Description

I am correcting an issue I previously created (#21457), which is more a feature request than a defect (and was not really clear)

Let's say I have the following issue statuses:

 calculated_from_subtasks_actual.PNG 

And

 activity_confirmed.PNG 

And any other status has a % Done associated to it.

Redmine is set to compute the parent task % Done based on subtasks, and it is working well:

 parent_task_ok.PNG 

Now, let's say I mistakenly changed the status of the parent task manually to "Activity confirmed_0%":

 parent_task_ok_2.PNG 

So now the % Done on the parent task is not calculated from subtasks, and this is perfecly normal.

But now, I want to correct my mistake, and put back the status to "Calculated from Subtasks":

 parent_task_ko.PNG 

Again, the result we get is normal. Redmine just keeps track of the old % done associated, as if the task was On Hold.

Feature Request

In Issues statuses new/edit form, add a checkbox which appears when % done selected is blank, and which allows, when checked,

to "Erase" the previously affected % done on the issue, so we can start again to get a % done computed from subtasks.

Something like that:

 request.PNG 

So checking this box would allow me to get the behavior I expect:

 parent_task_ok.PNG 

Thanks for the good work!

Related issues:

Related to Redmine - Defect #6609: % Done for Parent Tasks [2] Reopened 2010-10-08

History

#1 - 2016-04-17 06:07 - Toshi MARUYAMA

- Category set to Issues

#2 - 2016-04-17 06:07 - Toshi MARUYAMA

- Related to Defect #6609: % Done for Parent Tasks [2] added

#3 - 2017-03-02 19:02 - Stephane Evr

up on this feature ?
https://www.redmine.org/issues/21457
